Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jgroups.protocols
Enum STOMP.ServerVerb

    java.lang.Object
      java.lang.Enum<STOMP.ServerVerb>
          org.jgroups.protocols.STOMP.ServerVerb

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<STOMP.ServerVerb>

Enclosing class:
  STOMP

    public static enum STOMP.ServerVerb

extends java.lang.Enum<STOMP.ServerVerb>

Enum Constant Summary
`CONNECTED`
`ERROR`
`INFO`
`MESSAGE`
`RECEIPT`

Method Summary
`static STOMP.ServerVerb` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static STOMP.ServerVerb[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MESSAGE

    public static final STOMP.ServerVerb MESSAGE

### RECEIPT

    public static final STOMP.ServerVerb RECEIPT

### ERROR

    public static final STOMP.ServerVerb ERROR

### CONNECTED

    public static final STOMP.ServerVerb CONNECTED

### INFO

    public static final STOMP.ServerVerb INFO

Method Detail

### values

    public static STOMP.ServerVerb[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (STOMP.ServerVerb c : STOMP.ServerVerb.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static STOMP.ServerVerb valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.